четверг, 5 октября 2017 г.

LibreOffice 6.0 и Microsoft Visual C++ 2015 Redistributable

Дожили. Раньше при установке дистрибутив LibreOffice сам устанавливал в Windows нужную ему версию Microsoft Visual C++ Redistributable. Начиная с версии LibreOffice 6.0 эту библиотеку от MS нужно будет устанавливать отдельно, скачав ее с сайта MS
Причем необходимо соблюсти соответствие битности библиотеки и LibreOffice 6.0. То есть, если виндовс 64-бит, а LibreOffice 32-бит, то библиотеку необходимо скачать на 32-бит, а не на 64!
Администраторы будут рады, простые пользователи тоже, я думаю, воспылают счастьем.
Кстати, в чем причина того, что нельзя сейчас в дистрибутив LibreOffice 6.0 засунуть микрософтовую библиотеку, я не уловил, надо бы спросить товарищей.
ps: спросил, оказывается это политика MS, не хотят они, чтобы люди юзали старый софт, а хотят всех и всеми методами подсадить на убогую виндовс 10.

5 комментариев:

  1. А версия 6.0 уже вышла ? На сайте даже в пререлизах версия 5.4.2 RC2.
    Вот тут - http://www.libreoffice.org/download/pre-releases/

    ОтветитьУдалить
    Ответы
    1. Конечно нет, это я готовлю всех заинтересованных к тому, что будет =) Тэги "Будущее" и "Разработка" Вас не смущают?

      Удалить
    2. Да я их не видел. Теперь буду обращать внимание.

      Удалить
  2. Это актуально уже для версии 5.4 (https://bugs.documentfoundation.org/show_bug.cgi?id=108580), информацию о чём я добавил в Release Notes вчера (параллельно с 6.0).

    Насчёт "а не на 64" - да, Либре *в этой ситуации* потребуется именно 32-битные библиотеки; но я сместил бы акцент (а то выглядит так, что нельзя ставить 64-битный редист): можно ставить обе версии редиста (32- и 64-битную) параллельно, чтобы не заморачиваться, это не нарушит работу (дисклеймер: я не пропагандирую что-либо, а только уточняю возможность такого).

    ОтветитьУдалить
  3. "радости" использования приблуд от М$.

    ОтветитьУдалить